package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@PrimaryKey("messageId")
@Table
public class Messages implements CreateTimeSupported {
	private String messageId; //留言ID
	private String operationId; //订单ID
	private String professorId; //留言者ID
	private String leaveWord; //留言
	private String createTime; //留言时间
	private Operation operation;
	private Professor professor;
	
	public Operation getOperation() {
		return operation;
	}
	public void setOperation(Operation operation) {
		this.operation = operation;
	}
	
	public Professor getProfessor() {
		return professor;
	}
	public void setProfessor(Professor professor) {
		this.professor = professor;
	}
	
	@Column(DE.id_32)
	public String getMessageId() {
		return messageId;
	}
	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}
	
	@Column(DE.id_32)
	public String getOperationId() {
		return operationId;
	}
	public void setOperationId(String operationId) {
		this.operationId = operationId;
	}
	
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",insertable=true,nullable=false,renewable=false,queryable=true)
	public String getLeaveWord() {
		return leaveWord;
	}
	public void setLeaveWord(String leaveWord) {
		this.leaveWord = leaveWord;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
}
